Package ghidra.app.plugin.processors.sleigh

# Enum Class SpecExtensionPanel.Status

java.lang.Object
java.lang.Enum<SpecExtensionPanel.Status>
ghidra.app.plugin.processors.sleigh.SpecExtensionPanel.Status

All Implemented Interfaces:
  `Serializable`, `Comparable<SpecExtensionPanel.Status>`, `Constable`

Enclosing class:
  `SpecExtensionPanel`

public static enum SpecExtensionPanel.Status extends Enum<SpecExtensionPanel.Status>
Status of a particular compiler specification element

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `CORE`
  `EXTENSION`
  `EXTENSION_ERROR`
  `EXTENSION_INSTALL`
  `EXTENSION_OVERPENDING`
  `EXTENSION_OVERRIDE`
  `EXTENSION_REMOVE`
  `EXTENSION_REPLACE`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static SpecExtensionPanel.Status`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static SpecExtensionPanel.Status[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### CORE

    public static final SpecExtensionPanel.Status CORE

  - ### EXTENSION

    public static final SpecExtensionPanel.Status EXTENSION

  - ### EXTENSION_ERROR

    public static final SpecExtensionPanel.Status EXTENSION_ERROR

  - ### EXTENSION_INSTALL

    public static final SpecExtensionPanel.Status EXTENSION_INSTALL

  - ### EXTENSION_REPLACE

    public static final SpecExtensionPanel.Status EXTENSION_REPLACE

  - ### EXTENSION_REMOVE

    public static final SpecExtensionPanel.Status EXTENSION_REMOVE

  - ### EXTENSION_OVERRIDE

    public static final SpecExtensionPanel.Status EXTENSION_OVERRIDE

  - ### EXTENSION_OVERPENDING

    public static final SpecExtensionPanel.Status EXTENSION_OVERPENDING

- ## Method Details

  - ### values

    public static SpecExtensionPanel.Status[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static SpecExtensionPanel.Status valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null